
Redmine - Defect #5044

Able to report issue when uncheck Issue tracking

2010-03-11 03:33 - minkbear minkbear

Status: Closed Start date: 2010-03-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.9.2

Description

When uncheck Issue tracking module for a project in settings, it should be not able to click new issue on tab for that project.

below is info. ==============================================

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /var/www/redmine-0.9

Environment               development

Database adapter          mysql

Database schema version   20091227112908

About your Redmine plugins

Redmine Todo Lists plugin        0.0.3.9

Customer plugin                  0.2.0

Redmine Wiki Extensions plugin   0.1.5.1

Redmine Question plugin          0.3.0

Google Calendar Plugin           0.1.2

ezFAQ plugin                     0.3.5

Redmine Schedules plugin         0.4.2

Issue Due Date                   0.1.0

Advanced roadmap plugin          0.0.6

History

#1 - 2010-03-11 21:05 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce

Can not reproduce. When 'Issue tracking' module is disabled, the 'New issue' menu item doesn't show up and entering the URL manually (eg

/projects/foo/issues/new) gives a 403.

#2 - 2010-03-12 00:44 - minkbear minkbear

- File Setting.jpg added

- File NewIssue.jpg added

- Status changed from Closed to Reopened

The screen shot have been added. I can access /projects/foo/issues/new.

Please see in the screen shot. For more info don't hesitate to let me know.

Thanks

#3 - 2010-03-12 00:53 - minkbear minkbear

As i use plugin named "Redmine Todo Lists plugin", enabling that module then "New issue" menu show up.
So i think this is not a bug for redmine. The bug's belong to plugin, "Redmine Todo Lists plugin".

Thank you for your times.

#4 - 2010-03-12 11:47 - Jean-Philippe Lang

- Status changed from Reopened to Closed

- Resolution changed from Cant reproduce to Invalid

OK, thanks for the feedback.

Files

Setting.jpg 30.2 KB 2010-03-11 minkbear minkbear

NewIssue.jpg 61.8 KB 2010-03-11 minkbear minkbear
